import { baseFetch, ResponseDataEntity } from '..';

type Params = {
  equipmentNum: string;
  // 设备编码

  equipmentPos: string;
  // 设备位置

  payType: string;
  // 支付方式

  serviceId: number;
  // 服务id

  smaproCustomerId: number;
  // 会员id

  smaproPrepayConfigId: number;
  // 预付配置id
};
type ResponseData = {
  outTradeNo: string;
  // 商户交易订单号

  payStr: string;
  // 微信小程序端支付信息
};
export const getPayOrder = (
  entity: Params,
): Promise<ResponseDataEntity<ResponseData>> =>
  baseFetch({
    url: '/smapro/prepay/order/wx/apply/pay',
    method: 'POST',
    data: entity,
  });
