import { baseFetch, ResponseDataEntity } from '.';

type Params = {
  /** 登录code */
  code: string;

  /** 用户昵称 */
  userName?: string;
};

export const registerAndLogin = (
  entity: Params,
): Promise<ResponseDataEntity<null>> =>
  baseFetch({
    url: '/smapro/customer/wxmini/registerandlogin',
    method: 'POST',
    data: entity,
  });
